Last Comment Bug 94745 - Mozilla display less CJK charcters than it should be
: Mozilla display less CJK charcters than it should be
Status: VERIFIED FIXED
: intl
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: PowerPC Mac OS X
: P4 normal (vote)
: mozilla0.9.6
Assigned To: Frank Tang
: Yuying Long
: Makoto Kato [:m_kato]
Mentors:
http://people.netscape.com/ftang/demo...
Depends on:
Blocks: 90804 103669
  Show dependency treegraph
 
Reported: 2001-08-10 10:00 PDT by Frank Tang
Modified: 2001-11-19 11:23 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Frank Tang 2001-08-10 10:00:19 PDT
MacOS X come with many CJK fonts which have a lot of CJK charcters
Reproduce proceudre
1. You need to install Language kits which are optional installation in MacOS X. 
Install all of them
2. bring up "Applications:TextEdit" with an empty page. 
3. In mozilla,  go to http://people.netscape.com/ftang/demo/ncr.cgi?r=0x5c=0x0
You will see some characters display some not.
4. copy all the text below the table in the "Propotional Font" Part in that pate
 and paste into TextEdit
The copy and paste is good, you will see TextEdit will display some CJK 
characters and display the rest by using "Last Resort Fonts" while Mozilla 
display them by using "?"
If you look carefully, you will see TextEdit display more characters than 
Mozilla, for example, In the first row, mozilla cannot display 5 characters, but 
TextEdit cannot display 4 characters. Mozilla cannot display U+5001
in the second row, mozilla cannot display 5 characters, but TextEdit cannot 
display 4 characters. Mozilla cannot display U+5010


Here are the character that mozilla cannot display but TextEdit can:

5001
5010
5024
Comment 1 Frank Tang 2001-08-10 10:02:30 PDT
I already have my TTF CMAP parsing patch (see bug 90804) in my local build while 
I see this. I guess the problem could be
1. the font which contains that glyps is not TrueType font (Open Type?)
2. The font is not encoded in platform =3 platforntSpecific=1
I probably need to tweak my TTF CMAP parsing code later to make this work. 
Comment 2 Frank Tang 2001-08-21 15:34:07 PDT
move to m94
Comment 3 Hong Kwon 2001-08-29 13:13:59 PDT
Frank, is this going to make 0.9.4?  Do you have reviewers?
Comment 4 Frank Tang 2001-08-30 17:44:14 PDT
no, move to m0.9.5
Comment 5 Frank Tang 2001-10-08 10:02:57 PDT
move to m97
Comment 6 Jean-Marc Desperrier 2001-10-12 06:38:06 PDT
Does this really block bug 90804 ?
Can't you land the patch for 90804 and solve this remaining problem later ?
I have the feeling the current state is good enough for most use, if people want  
exotic characters, they are used to importing the font needed, they are lots of 
PC TTF font your code should be able to parse around, so they won't be so much 
annoyed.
Comment 7 Frank Tang 2001-10-30 17:18:40 PST
fixed and check in 
Comment 8 Yuying Long 2001-11-19 11:23:22 PST
The characters in that range are display same amount as in apple textEditor on
11-19 trunk build.

Mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.